如何安装Skype 4.3? [重复]

Modified on: Sat, 09 Jun 2018 01:17:23 +0800
    

这个问题已经有了答案:

    

            
  •             如何安装Skype?
                                        7个答案
                    跨度>
            
  •     

    

注意:旧的Skype for Linux应用程序(v4。*)现已停止使用,已从Canonical的合作伙伴存储库中删除,因此此问题及其答案已过时。请参阅更新的答案 “>规范的Skype安装问题。

Skype 4.3刚刚发布,有了相当大的改进。作为普通的Skype用户,我想在我的Ubuntu 14.04上使用最新的Skype,但Update Manager没有更新。即使在Skype网站上,只有Skype 4.3仅适用于Ubuntu 12.04。无论如何在Ubuntu 14.04上使用这个最新的Skype或我们还有多少等待更新?

最佳答案

第1步:删除以前的版本。

sudo apt-get remove skype skype-bin:i386 skype:i386
sudo apt-get install sni-qt:i386

重要的是,如果您在Ubuntu上安装了旧版本的Skype,请在安装最新版本之前清除旧的Skype文件夹。然后使用:

清除它

rm -rf ~/.Skype

第2步:准备安装Skype。

  • 64位Ubuntu的用户应启用MultiArch(如果尚未启用)命令

    sudo dpkg --add-architecture i386
    
  • 更新存储库和“更新”列表:

    sudo apt-get update
    
  • 可选,安装GDebi(见下文):

    sudo apt-get install gdebi #(read Why you need to install gdebi...)
    

第3步:安装Skype

方法1:从文件下载并安装

wget download.skype.com/linux/skype-ubuntu-precise_4.3.0.37-1_i386.deb
sudo gdebi skype-ubuntu-precise_4.3.0.37-1_i386.deb

方法2:从Canonical Partner Repository安装Skype

然后按照以下命令将Canonical Partner Repository添加到“更新”列表中:

sudo add-apt-repository "deb http://archive.canonical.com/ $(lsb_release -sc) partner"

然后通过软件中心或通过终端安装Skype。

sudo apt-get update && sudo apt-get install skype

来源


为什么需要安装gdebi而不是使用dpkg或Ubuntu软件中心。

dpkg(对于Debian软件包)是一个来自命令行的软件工具,负责安装,创建,删除和管理Debian(数据包deb),即Ubuntu处理的数据包类型。它还允许从apt存储库之外的源代码进行Debian软件包管理。

要安装软件包,dpkg有一个图形界面gdebi,如果您希望避免使用命令行,可以使用。

gdebi是Debian(.deb)软件包的应用程序安装和管理。这是一个在图形模式控制台中工作的实用程序,允许在APT存款之外安装包:来自网站,CD-ROM,便携式媒体等。
它具有与apt-getUbuntu Software Center相同的功能:它确保要安装的软件包与您所在的Ubuntu系统的版本和体系结构兼容尝试安装它,并确保满足包所需的所有依赖项。否则,从Internet下载依赖项。使用选项卡,gdebi还可以访问重要信息,例如从.deb包安装各种文件的文件夹路径。

最后gdebi是一个轻量级的deb软件包安装程序,它是Ubuntu Desktop的默认设置。现在Ubuntu使用Ubuntu软件中心这很慢,有时你会得到The package is of bad quality错误。

了解更多关于GDebi

的信息

安装从网站下载的软件包,而不是软件存储库。这些包称为.deb文件。因为它们可能是为不同的Linux发行版创建的,所以您可能会发现Ubuntu存在依赖性问题,这意味着它们可能是无法卸载的。

gdebi是一个安装.deb文件的简单工具。它有一个图形用户界面,但也可以在您的终端中使用。它允许您安装本地deb软件包解析并安装其依赖项。它会自动检查软件包的依赖关系,并尝试从Ubuntu软件存储库下载它们(如果可能)。您可能首先需要安装gdebi - 只需使用gdebidkpg或打开终端并输入Synaptic
安装sudo apt-get install gdebi后,使用文件浏览器查找要安装的软件包。

双击包以使用gdebi打开它。如果已满足所选包的所有依赖关系,只需单击gdebi按钮即可安装它。如果存在未满足的依赖关系,Install package 将警告您,这意味着您正在使用的存储库中存在未解析的依赖关系。


相关问答

添加新评论